
Packaging - Tracker #7229

Support installation on Fedora 21, drop Fedora 19

08/22/2014 06:39 AM - Dominic Cleal

Status: Closed % Done: 100%

Priority: Normal   

Assignee: Dominic Cleal   

Category: RPMs   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

As part of a move to Rails 4, the supported Fedora release would move from Fedora 19 to Fedora 20 as the version of Rails is 4.0 in

F20.  It's much the same stack as the ror40 SCL.

Related issues:

Has duplicate Foreman - Feature #12736: Update fedora build to use fedora 22 ... Duplicate 12/07/2015

Blocked by Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Blocked by Packaging - Feature #7231: Build all packages on F21 Closed 08/22/2014

Blocked by Installer - Feature #7232: Test and update installer for Fedora 21 Rejected 08/22/2014

History

#1 - 08/22/2014 06:39 AM - Dominic Cleal

- Blocked by Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 08/22/2014 06:41 AM - Dominic Cleal

- Tracker changed from Feature to Tracker

#3 - 08/22/2014 06:42 AM - Dominic Cleal

- Blocked by Feature #7231: Build all packages on F21 added

#4 - 08/22/2014 06:43 AM - Dominic Cleal

- Blocked by Feature #7232: Test and update installer for Fedora 21 added

#5 - 10/01/2014 07:50 AM - Ohad Levy

- translation missing: en.field_release set to 21

#6 - 10/01/2014 08:50 AM - Ohad Levy

- translation missing: en.field_release deleted (21)

#7 - 11/19/2015 04:02 AM - Dominic Cleal

- Tracker changed from Tracker to Feature

- Subject changed from Support installation on Fedora 20, drop Fedora 19 to Support installation on Fedora 21, drop Fedora 19

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#8 - 11/19/2015 04:02 AM - Dominic Cleal

- Tracker changed from Feature to Tracker

#9 - 12/08/2015 02:53 AM - Dominic Cleal

- Has duplicate Feature #12736: Update fedora build to use fedora 22 instead of fedora 19 added
#10 - 01/06/2016 11:26 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 71

Packages are built and systest/repoclosure both seem OK.  Packages will be pushed to yum.tf.org nightlies along with the other Rails 4 changes, as

per foreman-dev packaging thread.
